<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" >
    <div id='pop' style="padding:5px;">
        <form id="frm_pem_put_pdt_t" class="templatepopform" method="" action="">
			<table id="" style="padding:5px;">
            <tr><td colspan="2" class="templatepoptitle">
            <?php 
                echo strtoupper($judul."<br/>Perkara ".$jnsperkara);
            ?>
            </td></tr>
            <tr>
                    <td class="templatepopleftcol">Nama Tergugat<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="tergugat" id="tergugat" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>--Pilih Nama Tergugat--</option>
                                 <?php 
                                    if($getListTergugat != ''){
                                        if($getListTergugat->num_rows>0){
                                            foreach ($getListTergugat->result() as $row) {
                                                $pihak_id = base64_encode($this->encrypt->encode($row->pihak_id));
                                                echo "<option value='".$pihak_id."' pihakke='".$row->urutan."'>&nbsp; ". $row->urutan .". ". $row->nama ." </option>";
                                            }
                                        }
                                    }
                                ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Jenis Template<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="jenisTemplate" id="jenisTemplate" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>--Pilih Pilih Template---</option>
                                <option value='1'>&nbsp;1.&nbsp;Pemberitahuan Putusan Kepada Tergugat Bertemu Atau Tidak Bertemu</option>
                                <option value='2'>&nbsp;2.&nbsp;Pemberitahuan Putusan Kepada Tergugat Meninggal Dunia</option>
                                <option value='3'>&nbsp;3.&nbsp;Pemberitahuan Putusan kepada Ahli Waris Tergugat Yang Diketahui Meninggal Dunia</option>
                                <option value='4'>&nbsp;4.&nbsp;Pemberitahuan Putusan Tergugat Tidak Diketahui Tempat Tinggal</option>
                                <option value='5'>&nbsp;5.&nbsp;Pemberitahuan Putusan Verstek Kepada Tergugat Bertemu Atau Tidak Bertemu</option>
                                <option value='6'>&nbsp;6.&nbsp;Pemberitahuan Putusan Verstek Kepada Tergugat Prinsipal Meninggal Dunia</option>
                                <option value='7'>&nbsp;7.&nbsp;Pemberitahuan Putusan Verstek Kepada Ahli Waris Tergugat Yang Diketahui Meninggal Dunia</option>
                                <option value='8'>&nbsp;8.&nbsp;Pemberitahuan Putusan Verstek Tergugat Tidak Diketahui Tmp Tinggal</option>
                                <option value='9'>&nbsp;9.&nbsp;Pemberitahuan Perkara Perceraian Putusan Verstek Tergugat  Tidak Diketahui Tmp Tinggal</option>

                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Nama Jurusita / Jurusita Pengganti<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="jursit" id="jursit" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>--Pilih Pilih Jurusita--</option>
                                <?php 
                                    if($getListJurusita != ''){
                                        if($getListJurusita->num_rows>0){
                                            foreach ($getListJurusita->result() as $row) {
                                                $jurusita_id = base64_encode($this->encrypt->encode($row->jurusita_id));
                                                echo "<option value='".$jurusita_id."'>&nbsp;".$row->jurusita_nama." </option>";
                                            }
                                        }
                                    }
                                ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Jabatan Jurusita<font color=red>*</font></td>
                    <td style='font-size:13px;'>
                        <input type="radio" name="jursitLabel" id="jursitLabel" class="jurGroup" value="1" checked="true">Jurusita &nbsp;
                        <input type="radio" name="jursitPLabel" id="jursitPLabel"  class="jurGroup" value="2">Jurusita Pengganti
                    </td>
                </tr>
                <tr>
                    <td class="templatepopleftcol">Jumlah Biaya<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="biaya" id="biaya" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>--Pilih Biaya--</option>
                                <?php 
                                    if($getBiayaPerkara != ''){
                                        if($getBiayaPerkara->num_rows>0){
                                            foreach ($getBiayaPerkara->result() as $row) {
                                               echo "<option value='".$row->jumlah."'>&nbsp;Rp.&nbsp;".number_format($row->jumlah) ." </option>";
                                            }
                                        }
                                    }
                                ?>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Status Bertemu<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="bertemu" id="bertemu" class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='1'>&nbsp;Bertemu</option>
                                <option value='2'>&nbsp;Tidak Bertemu</option>
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td colspan="2" style="background:white;" align="center">
                        <input type="button" id="kembali" value="Kembali" class="btn">
                        <input type="button" id="print_btn" onClick='print();' value="Cetak" class="btn">
                    </td>
                </tr>
            </table>
    </form>
</div>
</div>
<script type="text/javascript">

$('#kembali').closingFormWin();

$('#jursitLabel').click(function(){
    if ($(this).prop('checked')){
        $('#jursitPLabel').prop('checked', false);
    }
});

$('#jursitPLabel').click(function(){
    if ($(this).prop('checked')){
        $('#jursitLabel').prop('checked', false);
    }
});

function print(){
    var tergugat = $('#tergugat').val();
    if(tergugat==-1){
        alert('Silahkan Pilih Tergugat');
        return;
    }
    var jenisTemplate = $('#jenisTemplate').val();
    if(jenisTemplate==-1){
        alert('Silahkan Pilih Jenis Template');
        return;
    }
    var jursit = $('#jursit').val();
    if(jursit==-1){
        alert('Silahkan Pilih Jurusita');
        return;
    }
    var biaya = $('#biaya').val();
    if(biaya==-1){
        alert('Silahkan Pilih Jumlah Biaya');
        return;
    }

    var bertemu = $('#bertemu').val();
    if(biaya==-1){
        alert('Silahkan Pilih Status Bertemu');
        return;
    }

    var tergugat = $('#tergugat option:selected').attr('value');
    var jenisTemplate = $('#jenisTemplate option:selected').attr('value');
    var jursit = $('#jursit option:selected').attr('value');
    var jursitLabel = $('input[type=radio]:checked').val();
    var biaya = $('#biaya option:selected').attr('value');
    var bertemu = $('#bertemu option:selected').attr('value');
    var id = '<?php echo $enc; ?>';
    window.open('<?php echo base_url("c_template_perdata_pemberitahuan_putusan/cetak_pemberitahuan_putusan_pdt_tergugat")?>/'+id+'/'+tergugat+'/'+jenisTemplate+'/'+jursit+'/'+jursitLabel+'/'+biaya+'/'+bertemu,'_self');
}
</script>